# $Revision: 1.8 $, $Date: 2010/07/08 08:06:27 $
%define		module	dbfpy

Summary:	Module for accessing .DBF (dBase) files
Summary(pl.UTF-8):	Moduł pozwalajacy na dostęp do plików .DBF (dBase)
Name:		python-%{module}
Version:	2.2.4
Release:	2
License:	Public Domain
Group:		Development/Languages/Python
Source0:	http://dl.sourceforge.net/dbfpy/%{module}-%{version}.tar.gz
# Source0-md5:	1462be16a2c3d9afcca55a981bf2d75d
URL:		http://dbfpy.sourceforge.net/
BuildRequires:	python >= 1:2.5
BuildRequires:	python-devel >= 1:2.5
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
dbfpy is a python-only module for reading and writing DBF-files. It
was created by Jeff Kunce and then modified by Hans Fiby and Yaroslav
Samchuk.

%description -l pl.UTF-8
dbfpy to czysto pythonowy moduł do odczytu i zapisu plików DBF. Został
stworzony przez Jeffa Kunce, a następnie zmodyfikowany przez Hansa
Fiby'ego i Yaroslava Samchuka.

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGES
%dir %{py_sitescriptdir}/dbfpy
%{py_sitescriptdir}/dbfpy/*.py[co]
%{py_sitescriptdir}/*.egg-info

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-dbfpy.spec,v $
Revision 1.8  2010/07/08 08:06:27  arekm
- release 2

Revision 1.7  2009/10/25 10:13:41  wiget
- updated to 2.2.4

Revision 1.6  2008/10/03 17:48:04  arekm
- release 2

Revision 1.5  2008-01-29 14:33:49  arekm
- up to 2.2.0

Revision 1.4  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:46  baggins
- converted to UTF-8

Revision 1.2  2006/12/20 00:42:05  qboosh
- pl, missing dir

Revision 1.1  2006/12/07 14:42:56  wiget
- initial version
